<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Temperatures StructType
 * @subpackage Structs
 */
class Temperatures extends AbstractStructBase
{
    /**
     * The Temperature1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Temperature
     */
    public $Temperature1;
    /**
     * The Temperature2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Temperature
     */
    public $Temperature2;
    /**
     * Constructor method for Temperatures
     * @uses Temperatures::setTemperature1()
     * @uses Temperatures::setTemperature2()
     * @param \StructType\Temperature $temperature1
     * @param \StructType\Temperature $temperature2
     */
    public function __construct(\StructType\Temperature $temperature1 = null, \StructType\Temperature $temperature2 = null)
    {
        $this
            ->setTemperature1($temperature1)
            ->setTemperature2($temperature2);
    }
    /**
     * Get Temperature1 value
     * @return \StructType\Temperature|null
     */
    public function getTemperature1()
    {
        return $this->Temperature1;
    }
    /**
     * Set Temperature1 value
     * @param \StructType\Temperature $temperature1
     * @return \StructType\Temperatures
     */
    public function setTemperature1(\StructType\Temperature $temperature1 = null)
    {
        $this->Temperature1 = $temperature1;
        return $this;
    }
    /**
     * Get Temperature2 value
     * @return \StructType\Temperature|null
     */
    public function getTemperature2()
    {
        return $this->Temperature2;
    }
    /**
     * Set Temperature2 value
     * @param \StructType\Temperature $temperature2
     * @return \StructType\Temperatures
     */
    public function setTemperature2(\StructType\Temperature $temperature2 = null)
    {
        $this->Temperature2 = $temperature2;
        return $this;
    }
}
